.page-footer {
    display: flex;
    align-items: center;
    font-size: 3.5mm;
    justify-content: center;
    font-weight: 500;
}

.page-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 3.5mm;
    font-weight: 500;
}

table {
    width: 100%;
}

.main-container {
    padding: 0 !important;
}


.page-header-type {
    display: flex;
    align-items: center;
}

.page-header-type-value {
    margin-right: 10px;
}

.page-header-sub-type {
    border: 1px solid #868597;
    box-sizing: border-box;
    border-radius: 2px;
    color: #868597;
    letter-spacing: 0.15px;
    text-transform: uppercase;
    margin-right: 4px;
}

.page-header-tagline {
    font-weight: 500;
}

.page-header-tagline-container {
    display: flex;
    align-items: flex-end;
    flex-direction: column;
}

/* Typography */
.text-small {
    font-size: 11px;
}

.text-smallest {
    font-size: 10px !important;
}

/* Company Details */
#company-details {
    border: 1px solid black;
    min-height: 25mm;
    display: flex;
}

#company-details-meta {
    flex: 1;
    display: flex;
    align-items: center;
}

.company-logo-container {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    display: flex;
    margin: 1mm;
    object-fit: contain;
}

#company-logo {
    margin: 2.1mm;
    object-fit: contain;
}

#company-details-content {
    margin: 1mm;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

#company-name {
    font-size: 16px;
    font-weight: 600;
    color: #BF6200;
    margin-bottom: 0.5mm;
}

#company-address {
    font-size: 12px;
    margin-bottom: 1mm;
}

#company-contact-details,
#company-contact-details-2,
#company-email-content,
#company-pan-number-content {
    display: flex;
    font-size: 12px;
    align-items: center;
}

#company-gst-number-content {
    margin-right: 3mm;
}

    #company-gst-number-content > span:first-child,
    #company-mobile-number-content > span:first-child,
    #company-email-content > span:first-child,
    #company-pan-number-content > span:first-child {
        font-weight: 500;
    }

/* Invoice Details */
#invoice-details-meta {
    display: flex;
    flex-direction: column;
    border-left: 1px solid black;
    flex: 1;
}

#invoice-main-details {
    flex: 1;
    display: flex;
    align-items: center;
    font-size: 12px;
    text-align: center;
    justify-content: space-around;
    font-weight: 600;
}

    #invoice-main-details > div {
        min-width: 33%;
    }

        #invoice-main-details > div > div:last-child {
            font-weight: 400;
        }

#invoice-sub-details {
    flex: 1;
    border-top: 1px solid black;
    display: flex;
    font-size: 12px;
    text-align: center;
    justify-content: space-around;
    align-items: center;
}

    #invoice-sub-details > div {
        padding-top: 2mm;
        word-break: break-all;
        min-width: 20mm;
        margin: 0 2mm;
    }

        #invoice-sub-details > div > div:first-child {
            font-weight: 600;
        }

/* Address Details */
#address-details {
    border-left: 1px solid black;
    border-right: 1px solid black;
    display: flex;
    width: 500px;
}

.meta-bill-ship-to {
    font-size: 11px;
    padding-bottom: 8px;
    line-height: 14px;
}

    .meta-bill-ship-to > div {
        float: left;
        margin: 16px 10px -1px 2px;
        text-align: left;
    }

#bill-to {
    flex: 1;
}

#ship-to {
    flex: 1;
    border-left: 1px solid black;
}

.title-bill-ship-to {
    margin: 0 auto;
    font-weight: 700;
    font-size: 20px;
    float: left;
    width: 100%;
    text-align: left;
}

#bill-to-company-name,
#ship-to-company-name {
    font-size: 12px;
    margin-top: 6px;
    text-transform: uppercase;
    float: left;
    width: 100%;
}

.field-bill-ship-to {
    margin-right: 1.5mm;
}

.mr-4 {
    margin-right: 4mm;
}

#party-addn-field-container {
    display: flex;
    flex-direction: column;
}

.party-addn-field {
    display: flex;
    font-size: 11px;
    line-height: 14px;
    flex-direction: row;
}

/* Items table */
#items-table {
    border: 1px solid black;
    border-collapse: collapse;
    border-spacing: 0 !important;
    margin: 0;
    padding: 0;
}

    #items-table tr {
        padding: .35em;
        page-break-inside: avoid;
    }

    #items-table th,
    #items-table td {
        padding: .625em;
        border-right: 1px solid black;
        max-width: 75mm;
        page-break-inside: avoid;
    }

.items-table-header {
    font-size: 3mm;
    font-weight: 500;
    background-color: rgba(247, 144, 34, 0.2);
    border-bottom: 1px solid black;
    min-height: 5mm;
}

.items-table-info {
    font-size: 11px;
    font-weight: 400;
    justify-content: center;
    word-break: break-word;
    vertical-align: top;
    padding: 2mm;
    padding-top: 0.5mm;
    padding-bottom: 0.5mm;
    flex-direction: column;
}

.item-serial-number {
    text-align: center;
}

.item-serial-no,
.item-imei {
    font-size: 10px;
    margin-top: 2px;
    color: rgba(0, 0, 0, 0.7);
}

.item-hsn,
.item-quantity,
.item-mrp,
.item-rate,
.item-charge-rate,
.item-additional-info-rate,
.item-discount-amount,
.item-tax-amount,
.item-sgst-amount,
.item-cgst-amount,
.item-igst-amount,
.item-charge-tax-amount,
.item-additional-info-tax-amount,
.item-charge-sgst-amount,
.item-additional-info-sgst-amount,
.item-charge-cgst-amount,
.item-additional-info-cgst-amount,
.item-charge-igst-amount,
.item-additional-info-igst-amount,
.item-cess-amount,
.item-total {
    text-align: right;
}

.item-discount-percentage,
.item-tax-percentage,
.item-sgst-percentage,
.item-cgst-percentage,
.item-igst-percentage,
.item-charge-tax-percentage,
.item-charge-sgst-percentage,
.item-charge-cgst-percentage,
.item-charge-igst-percentage,
.item-cess-percentage {
    color: rgba(0, 0, 0, 0.6);
    text-align: right;
    font-size: 10px;
}

.items-addn1-column,
.items-addn2-column,
.items-addn3-column,
.items-addn4-column {
    text-align: center !important;
}

.items-discount-column,
.tax-column,
.items-hsn-column,
.tax-sgst-column,
.tax-cgst-column,
.tax-igst-column,
.items-cess-column,
.items-qty-column,
.items-rate-column {
    white-space: nowrap;
}

.nowrap {
    white-space: nowrap;
}

/* Additional Charges */
.item-charge-dash,
.item-charge-label,
.item-charge-value,
.item-additional-info-dash,
.item-additional-info-label,
.item-additional-info-value {
    text-align: right;
}

.item-charge-label,
.item-additional-info-label {
    font-size: 11px;
    font-style: italic;
    padding-right: 1mm;
    font-weight: 500;
}

/* Tax Table */
#tax-table {
    border: 1px solid black;
    border-collapse: collapse;
    border-spacing: 0 !important;
    margin: 0 auto;
    padding: 0;
}

    #tax-table tr {
        page-break-inside: avoid;
    }

    #tax-table th,
    #tax-table td {
        border-right: 1px solid black;
        max-width: 25%;
        page-break-inside: avoid;
    }

.tax-table-header {
    font-size: 3mm;
    font-weight: 500;
    background-color: rgba(247, 144, 34, 0.2);
    border-bottom: 1px solid black;
}

.tax-table-sub-header {
    display: flex;
    justify-content: space-around;
    align-items: center;
    border-top: 1px solid black;
}

    .tax-table-sub-header > div:last-child {
    }

.tax-table-rate-header {
    width: 30%;
    display: flex;
    justify-content: center;
}

.tax-table-amount-header {
    width: 70%;
    display: flex;
    justify-content: center;
}

.tax-table-info {
    font-size: 12px;
    word-break: break-all;
    padding: 0.5mm 2mm;
    text-align: right;
}

.tax-table-sub-info {
    padding: 0;
    height: 1px;
}

    .tax-table-sub-info > div {
        font-size: 3mm;
        word-break: break-all;
        display: flex;
        justify-content: space-around;
        align-items: center;
        height: 100%;
    }

.tax-cgst-rate,
.tax-sgst-rate,
.tax-igst-rate {
    width: 30%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 0 0.5mm;
}

.tax-cgst-amount,
.tax-sgst-amount,
.tax-igst-amount {
    width: 70%;
    display: flex;
    justify-content: flex-end;
    height: 100%;
    align-items: center;
    padding: 0 1mm;
}

/* Amount in words */
#amount-words,
#foreign-amount-words {
    display: flex;
    flex: 1;
    flex-direction: column;
    min-height: 5mm;
    align-items: center;
}

#amount-words-container {
    border: 1px solid black;
    padding-bottom: 4px;
}

#amount-words-label,
#foreign-amount-words-label {
    align-self: flex-start;
    padding-right: 2mm;
    font-size: 12px;
    padding-left: 2mm;
    padding-top: 1mm;
    padding-bottom: 1mm;
    font-weight: 500;
}

#amount-words-value,
#foreign-amount-words-value {
    padding-right: 2mm;
    font-size: 11px;
    padding-left: 2mm;
    flex: 1;
    align-self: flex-start;
}

#amount-words-container {
    display: flex;
    flex-direction: row;
}

/* Misc Details */
.misc-details-container {
    display: flex;
    border-left: 1px solid black;
}

.bottom-content-container {
    break-inside: avoid;
}

.misc-details-container > div {
    flex: 1 0;
    border-bottom: 1px solid black;
    border-right: 1px solid black;
    overflow-wrap: anywhere;
}

#notes-label,
#bank-details-label,
#tnc-label {
    padding: 2mm;
    padding-bottom: 1mm;
    padding-top: 4px;
    font-size: 12px;
    font-weight: 500;
}

#notes,
#tnc {
    page-break-inside: avoid;
}

#upi-scan-label {
    font-size: 12px;
    font-weight: 500;
    margin-bottom: 8px;
}

#notes-value,
#tnc-value {
    font-size: 11px;
    word-break: break-word;
    padding-left: 2mm;
    padding-right: 2mm;
}

/* Bank Details */
.bank-details-info {
    display: flex;
    font-size: 11px;
    margin-bottom: 4px;
}

.bank-details-info-label {
    padding-left: 2mm;
    width: 30%;
    min-width: 30%;
}

.bank-details-value {
    max-width: 70%;
    margin-right: 2mm;
}

/* UPI Details */
#upi-details {
    display: flex;
    justify-content: space-between;
}

#upi-details-meta {
    flex-grow: 1;
    font-size: 11px;
    padding: 4px;
}

#upi-id {
    word-break: break-all;
}

#upi-qr-code {
    height: 18mm;
    padding: 2mm;
}

#upi-scan-desc {
    margin-bottom: 1mm;
    color: rgba(0, 0, 0, 0.8);
}

/* Signature */
#signature {
    page-break-inside: avoid;
}

#signature-img-container {
    margin-top: 8px;
    height: 15mm;
    text-align: center;
}

#signature-img {
    height: 100%;
    max-width: 100px;
    object-fit: contain;
}

#signature-label,
#signatory-name {
    font-size: 11px;
    text-align: center;
}

/* Total and party balance */
.items-table-total,
.items-table-total-foreign {
    font-size: 3mm;
    font-weight: 500;
    background-color: rgba(247, 144, 34, 0.2);
    border-top: 1px solid black;
    text-align: end;
    word-break: break-all;
    padding: 0 1mm;
}

td[class^="items-table-tax-total-"],
.items-table-balance,
.items-table-received,
.items-table-prev-balance,
.items-table-curr-balance {
    font-size: 3mm;
    font-weight: 500;
    border-top: 1px solid black;
    text-align: end;
    word-break: break-all;
    padding: 0 1mm;
}

/* Highlights */
.highlight {
    border: 3px dashed #DE776F !important;
    background: rgba(245, 212, 209, 0.2);
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

.highlight-padding {
    padding-top: 2mm;
    padding-bottom: 2mm;
    padding-left: 4mm;
    padding-right: 4mm;
}

.plus-missing-field-text {
    font-size: small;
    display: inline-block;
    vertical-align: middle;
}

.plus-missing-field-icon {
    margin: 2mm 4mm;
    display: inline-block;
    vertical-align: middle;
}

/* Page branding */
.page-branding {
    font-size: 2.5mm;
    display: none;
}

/* MBB Pay */
#upi-mbb-container {
    margin-left: 1mm;
}

#mbb-pay {
    margin-top: 8px;
    margin-bottom: 12px;
}

#upi-apps {
    margin-bottom: 0px;
    margin-top: 8px;
}

#payment-link-container {
    display: none;
    line-height: 23px;
    margin-bottom: -8px;
}

#payment-cta {
    font-weight: bold;
    font-size: 2.5mm;
    color: white;
    background-color: #BF6200;
    border-radius: 1.8mm;
    padding: 1.5mm 2.5mm;
    text-decoration: none;
}

#payment-link {
    color: #BF6200;
    font-size: 3mm;
    margin-left: 1mm;
    text-decoration: none;
}

/* E-Invoicing */
#e-invocing-container {
    margin-top: 8px;
    border: 1px solid #000;
    padding: 8px;
    display: flex;
    flex-direction: row;
    page-break-inside: avoid;
}

#e-invoice-qr {
    height: 100px;
    width: 100px;
    margin-right: 8px;
}

#e-invoicing-info-container {
    flex: 1;
}

.e-info-container {
    font-size: 10px;
    margin-top: 8px;
    display: flex;
    flex-direction: row;
}

.e-info-label {
    width: 100px;
}

#e-invoice-description {
    font-size: 10px;
    margin-top: 12px;
}

#e-invoice-details {
    font-weight: 600;
    font-size: 12px;
    text-align: center;
    margin-right: 116px;
}

/* Common classes */
.bold {
    font-weight: 600;
}

/* MBB Logo Container */
#mbb-logo-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

.invoice-number-label {
    float: left;
}

.invoice-number {
    float: left;
}

.bank-details {
    text-align: center;
    font-weight: 700;
    padding: 4px;
}

.bank-name {
    font-size: 11px;
    width: 50%;
    float: left;
    margin-bottom: 4px;
}

.bank1 {
    width: 100px;
    float: left;
}

.round-name {
    width: 100%;
}

.term-condition {
    width: 100%;
    height: 100px;
}

.term {
    padding: 10px;
    font-size: 14px;
    font-weight: 700;
    float: left;
}

.term-condition1 {
    width: 100%;
    height: 140px;
}

.term1 {
    font-size: 14px;
    font-weight: 700;
    float: right;
}

.copy-dublicate {
    height: 10px;
    text-align: right;
    margin-right: -138px;
    font-weight: 300;
    font-size: 10px;
}
.invoice-full {
    width: 100%;
    margin: -10px auto;
    float: left;
}

.billing-shipping {
    width: 33%;
    margin-top: 0px;
    float: left;
    border-right: 1px solid #000000;
}
.billing-shipping1 {
    width: 33%;
    margin-top: 0px;
    float: left;
    border-right: 1px solid #000000;
}
.billing-shippinng2 {
    width: 30%;
    margin-top: 0px;
    float: left;
}
.voucher-left {
    width: 100%;
    margin: 0 auto;
}
.invoice{
    width:44%;
    margin:0 auto;
    float:left;
}
.invoice-no {
    width: 50%;
    margin: 0 auto;
    float: left;
}